# OpenApi Generator PIP Package Generator

[![Join the Slack chat room](https://img.shields.io/badge/Slack-Join%20the%20chat%20room-orange)](https://join.slack.com/t/openapi-generator/shared_invite/enQtNzAyNDMyOTU0OTE1LTY5ZDBiNDI5NzI5ZjQ1Y2E5OWVjMjZkYzY1ZGM2MWQ4YWFjMzcyNDY5MGI4NjQxNDBiMTlmZTc5NjY2ZTQ5MGM)
<a href="https://github.com/psf/black"><img alt="Code style: black" src="https://img.shields.io/badge/code%20style-black-000000.svg"></a>

OpenAPI Generator allows generation of API client libraries (SDK generation), server stubs, documentation and 
configuration automatically given an OpenAPI Spec (both 2.0 and 3.0 are supported). Please see
[OpenAPITools/openapi-generator](https://github.com/OpenAPITools/openapi-generator)

---

This project checks the [maven repository](https://mvnrepository.com/artifact/org.openapitools/openapi-generator-cli) 
once a day for a new version and will publish this new version automatically as a python package.

## Installation

You can install the package either in a virtual environment or globally.

```sh
# install the latest version of "openapigenerator"
pip install openapigenerator

# install a specific version of "openapigenerator"
pip install openapigenerator==4.2.0
```

After installation `openapi-generator` command will be available in your virtual environment or globally 
depending on your installation

To check the version, for example. Type the following command

```sh
# this will print the correct version number
openapi-generator version
```

## Further Documentation

Please refer to the [official openapi-generator docs](https://github.com/OpenAPITools/openapi-generator#3---usage) for
more information about the possible arguments and a detailed usage manual of the command line interface.

## Like the package?

Please leave a star.

## Have suggestions or feedback?

Please raise an issue, happy to hear from you :)
